with GNATCOM.Dispinterface;

package MSHTML.DispHTMLPopup_Object is

   type DispHTMLPopup_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Show
     (This     : DispHTMLPopup_Type;
      x        : GNATCOM.Types.VARIANT;
      y        : GNATCOM.Types.VARIANT;
      w        : GNATCOM.Types.VARIANT;
      h        : GNATCOM.Types.VARIANT;
      pElement : GNATCOM.Types.VARIANT;
      Free     : Boolean := True);

   procedure Hide
     (This : DispHTMLPopup_Type);

   function Get_document
     (This : DispHTMLPopup_Type)
     return GNATCOM.Types.VARIANT;

   function Get_isOpen
     (This : DispHTMLPopup_Type)
     return GNATCOM.Types.VARIANT;

   function Get_constructor
     (This : DispHTMLPopup_Type)
     return GNATCOM.Types.VARIANT;

end MSHTML.DispHTMLPopup_Object;

